<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated Sep 30, 2014 3:58:44 PM by Hibernate Tools 3.2.2.GA -->
<hibernate-mapping>
    <class name="gov.va.med.mpn.entity.pojo.Category" table="category">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="assigned" />
        </id>
        <property name="categoryName" type="java.lang.String">
            <column name="category_name" length="50" not-null="true" unique="true" />
        </property>
        <property name="valid" type="java.lang.Boolean">
            <column name="valid" not-null="true" />
        </property>
        <set name="codedControlDatas" inverse="true">
            <key>
                <column name="category_id" not-null="true" />
            </key>
            <one-to-many class="gov.va.med.mpn.entity.pojo.CodedControlData" />
        </set>
    </class>
</hibernate-mapping>
